/**
 * ============LICENSE_START=======================================================
 * org.onap.aai
 * ================================================================================
 * Copyright © 2017 AT&T Intellectual Property.
 * Copyright © 2017 Amdocs
 * All rights reserved.
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END=========================================================
 *
 * ECOMP is a trademark and service mark of AT&T Intellectual Property.
 */
package org.onap.aai.modelloader.service;

import java.io.IOException;

import javax.servlet.http.HttpServletRequest;
import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.PUT;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.Response;

public interface ModelLoaderInterface {

  @GET
  @Path("/loadModel/{modelid}")
  public Response loadModel(@PathParam("modelid") String modelid);

  @PUT
  @Path("/saveModel/{modelid}/{modelname}")
  public Response saveModel(@PathParam("modelid") String modelid,
      @PathParam("modelname") String modelname);

  @POST
  @Consumes("application/xml")
  @Produces("application/xml")
  @Path("/ingestModel/{modelid}")
  public Response ingestModel(@PathParam("modelid") String modelid, @Context HttpServletRequest req,
      String payload) throws IOException;
}
